Bug 186978 - Fedora 5 fails to recognize drives on compaq dl380 with smartarray
Fedora 5 fails to recognize drives on compaq dl380 with smartarray
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Coldwell
Brian Brock
bzcl34nup
:
: 186979 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-27 14:39 EST by kurt lorentzen
Modified: 2008-04-04 11:33 EDT (History)
5 users (show)

See Also:
Fixed In Version: 6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 11:30:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Hardware info (1.84 KB, text/plain)
2006-03-27 14:39 EST, kurt lorentzen
no flags Details
proposed additional patch (545 bytes, patch)
2006-10-13 19:47 EDT, Yanko Kaneti
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 7279 None None None Never

  None (edit)
Description kurt lorentzen 2006-03-27 14:39:06 EST
Description of problem:

Anaconda fails to recognize the SCSI drive on a Compaq DL380 with Integrated 
Smart Array Controller. It appears to load a driver for the array controller 
but fails to see the drive(s). FC4 auto-loads "cpqarray". I can select the 
cpqarray driver manually, but to no avail. 


Version-Release number of selected component (if applicable):
See attached

How reproducible: 
every time


Steps to Reproduce:
1.Insert CD #1
2.Wait for installation target to be detected
3.Experience no drives.
  
Actual results:
No drives detected

Expected results:
Drives detected

Additional info:
Installing FC4 goes without a hitch on the same servers.
Comment 1 kurt lorentzen 2006-03-27 14:39:07 EST
Created attachment 126846 [details]
Hardware info
Comment 2 Jeremy Katz 2006-03-27 14:45:26 EST
*** Bug 186979 has been marked as a duplicate of this bug. ***
Comment 3 Euan Galloway 2006-04-11 13:03:10 EDT
Boot with noprobe (linux noprobe)
manually add the e100 (if network install) and cpqarray drivers.
have a working box.

Without noprobe the symbios module (sym53c8xx) gets probed first, and if you
load cpqarray afterwards it doesn't see the card anymore.
Comment 4 kurt lorentzen 2006-04-12 11:45:53 EDT
Thanks, Euan. I installed this way and indeed the installer recognized the 
array and FC5 installed on the drive. However, It won't boot from the drive 
after the installation completes. Is there some parameter that must be set for 
grub to kick in? (The message is the usual "Non-system disk or disk error. 
Strike any key to continue").
Comment 5 Yanko Kaneti 2006-10-06 21:57:00 EDT
See this bug I filed upstream
http://bugzilla.kernel.org/show_bug.cgi?id=7279 and the corresponding debian bug
http://bugs.debian.org/380272 

This is still an issue with the latest rawhide kernels.
Comment 6 Yanko Kaneti 2006-10-13 19:47:52 EDT
Created attachment 138480 [details]
proposed additional patch

This patch works for me here as far as sym53c8xx_2 doesn't incorrectly claim
the cpqarray raid. Also added to the kernel report.
Comment 7 Dave Jones 2006-10-16 16:40:02 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 8 Yanko Kaneti 2006-10-16 17:02:24 EDT
Still an issue with upstream, see my previous comments.
In addition to the bug I've also posted to linux-scsi @ vger.
Comment 9 Dave Jones 2006-10-16 17:18:09 EDT
Please try that kernel update, I added a cpqarray patch which might help.
Comment 10 Yanko Kaneti 2006-10-16 18:00:37 EDT
If you mean 
Patch1106: linux-2.6-scsi-cpqarray-set-master.patch
its a different thing.

This bug is about sym53c8xx_2 claiming the 53C1510 integrated smartarray RAID
before cpqarray. During an install this leaves the user without recognized hard
disks.  So for FC5 the deal is already done, as you can't change the install
media retroactively.  Please read my kernel bug report.
Comment 11 Yanko Kaneti 2006-10-16 18:03:45 EDT
And silly me forgot to add that attempting a latest rawhide install still has
the same issue on this compaq, so I am afraid the FC6 install media will still
carry this. Perhaps the bug should be moved a different version or something..
Comment 12 Chip Coldwell 2006-10-30 15:51:23 EST
This is very likely the same bug as bug 205653, fixed in RHEL-5.  I'll ping Dave
Jones and ask him to include that patch in the next FC-5 kernel.

Chip
Comment 13 Yanko Kaneti 2007-08-01 03:45:42 EDT
FC5 is EOLd.
The fix for finally landed in linus' tree so everything should be fine for F8.
Comment 14 Bug Zapper 2008-04-03 22:17:59 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 15 kurt lorentzen 2008-04-04 11:33:00 EDT
This seems to have been fixed in Fedora 6. It still (as of Fedora 8) requires 
the "noprobe" option and manual selection of "cpqarray" driver during install, 
but installs and boots properly once loaded. Previously it would install using 
ths method but would not boot after installation.

Fixed.


Note You need to log in before you can comment on or make changes to this bug.